=== debian/changelog ===
superiotool (0.0+r6637-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:08 +0000

superiotool (0.0+r6637-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU. Thanks Hector Oron <zumbi@debian.org>.
  * Standards-Version: 3.9.2 (no changes required).
  * debian/rules: Small updates.
  * Versioned Build-Depends on cdbs (>= 0.4.94), there seem to be issues
    with some earlier versions.

 -- Uwe Hermann <uwe@debian.org>  Mon, 13 Jun 2011 19:37:49 +0200

superiotool (0.0+r5050-1.1) unstable; urgency=low

  * Non-maintainer upload.
    - Add armhf to architecture list (Closes: #604669)
    - Replace DEB_OPT_FLAG with CFLAGS for FTBFS fix (Closes: #614469)
    - Bump standards version to 3.9.1

 -- Hector Oron <zumbi@debian.org>  Sun, 03 Apr 2011 13:59:26 +0000

superiotool (0.0+r5050-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.0 (no changes required).
  * debian/copyright: Updates.
  * Add new build-dependency on libpci-dev (upstream requirement).

 -- Uwe Hermann <uwe@debian.org>  Sun, 24 Jan 2010 18:32:50 +0100

superiotool (0.0+r3844-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Sat, 27 Dec 2008 09:33:49 +0100

superiotool (0.0+r3695-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Tue, 28 Oct 2008 11:57:56 +0100

superiotool (0.0+r3432-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.0 (no changes required).
  * Add a dummy debian/watch file (only contains a comment) to silense lintian.

 -- Uwe Hermann <uwe@debian.org>  Wed, 23 Jul 2008 22:20:28 +0200

superiotool (0.0+r3125-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + Update Homepage field.
     + Update package description (LinuxBIOS -> coreboot rename).
  * debian/copyright: Convert to the file to the machine-readable format
    described at http://wiki.debian.org/Proposals/CopyrightFormat.
  * Add upstream changelog ('svn log' output).

 -- Uwe Hermann <uwe@debian.org>  Mon, 03 Mar 2008 17:04:19 +0100

superiotool (0.0+r3023-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.7.3 (no changes required).
  * Restrict the architectures we try to build for to the known-good ones.
    + Compiles and is tested on real hardware:
      + amd64 i386 kfreebsd-amd64 kfreebsd-i386
    + Should compile, but untested on hardware:
      + alpha arm armel armeb ia64 netbsd-alpha netbsd-i386
    + Currently unsupported, doesn't compile or work:
      + hppa hurd-i386 m32r m68k mips mipsel powerpc sh sparc

 -- Uwe Hermann <uwe@debian.org>  Sun, 23 Dec 2007 02:16:08 +0100

superiotool (0.0+r2976-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add Homepage field.

 -- Uwe Hermann <uwe@debian.org>  Wed, 21 Nov 2007 21:27:26 +0100

superiotool (0.0+r2889-1) unstable; urgency=low

  * Initial release (Closes: #445656).

 -- Uwe Hermann <uwe@debian.org>  Thu, 25 Oct 2007 14:47:20 +0200
