=== debian/control ===
Source: superiotool
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs (>= 0.4.94), debhelper (>= 5), libpci-dev
Standards-Version: 3.9.2
Homepage: http://coreboot.org/Superiotool

Package: superiotool
Architecture: alpha amd64 arm armel armeb armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Super I/O detection tool
 Superiotool is a user-space utility which can
 .
   - detect which Super I/O chip is soldered onto your mainboard,
 .
   - at which configuration port it's located (usually 0x2e or 0x4e), and
 .
   - dump all register contents of the Super I/O chip, together with the
     default values as per datasheet (to make comparing the values easy).
 .
 It is mainly used for coreboot (previously known as LinuxBIOS) development
 purposes (see coreboot.org for details on coreboot), but it may also be
 useful for other things.
