=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_INSTALL_TARGET := install PREFIX=$(CURDIR)/debian/superiotool/usr

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Note: The version here must be updated for each new upstream release!
CFLAGS += -Werror -Wstrict-prototypes -Wundef \
	  -Wstrict-aliasing -Werror-implicit-function-declaration -ansi \
	  -DPCI_SUPPORT -D'SUPERIOTOOL_VERSION="\"6637\""'

# Upstream ChangeLog generated via 'LC_ALL=C svn log > ChangeLog'.
DEB_INSTALL_CHANGELOGS_ALL := debian/ChangeLog
